低危 avahi up to 0.6.28 avahi-core/socket.c 拒绝服务漏洞

CVE编号

CVE-2011-1002

利用情况

暂无

补丁情况

官方补丁

披露时间

2011-02-23 08:00:00
漏洞描述
Avahi中avahi-daemon中的avahi-core / socket.c在0.6.29之前允许远程攻击者通过到端口5353的空mDNS(1)IPv4或(2)IPv6 UDP数据包导致拒绝服务(无限循环)。 :由于CVE-2010-2244的修复程序不正确,因此存在此漏洞。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://avahi.org/ticket/325
http://git.0pointer.de/?p=avahi.git;a=commit;h=46109dfec75534fe270c0ab902576f...
http://lists.fedoraproject.org/pipermail/package-announce/2011-March/055858.html
http://lists.opensuse.org/opensuse-security-announce/2011-04/msg00000.html
http://openwall.com/lists/oss-security/2011/02/18/1
http://openwall.com/lists/oss-security/2011/02/18/4
http://osvdb.org/70948
http://secunia.com/advisories/43361
http://secunia.com/advisories/43465
http://secunia.com/advisories/43605
http://secunia.com/advisories/43673
http://secunia.com/advisories/44131
http://ubuntu.com/usn/usn-1084-1
http://www.debian.org/security/2011/dsa-2174
http://www.mandriva.com/security/advisories?name=MDVSA-2011:037
http://www.mandriva.com/security/advisories?name=MDVSA-2011:040
http://www.openwall.com/lists/oss-security/2011/02/22/9
http://www.redhat.com/support/errata/RHSA-2011-0436.html
http://www.redhat.com/support/errata/RHSA-2011-0779.html
http://www.securityfocus.com/bid/46446
http://www.vupen.com/english/advisories/2011/0448
http://www.vupen.com/english/advisories/2011/0499
http://www.vupen.com/english/advisories/2011/0511
http://www.vupen.com/english/advisories/2011/0565
http://www.vupen.com/english/advisories/2011/0601
http://www.vupen.com/english/advisories/2011/0670
http://www.vupen.com/english/advisories/2011/0969
http://xorl.wordpress.com/2011/02/20/cve-2011-1002-avahi-daemon-remote-denial...
https://bugzilla.redhat.com/show_bug.cgi?id=667187
https://exchange.xforce.ibmcloud.com/vulnerabilities/65524
https://exchange.xforce.ibmcloud.com/vulnerabilities/65525
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 avahi avahi * Up to
(including)
0.6.28
运行在以下环境
应用 avahi avahi 0.1 -
运行在以下环境
应用 avahi avahi 0.2 -
运行在以下环境
应用 avahi avahi 0.3 -
运行在以下环境
应用 avahi avahi 0.4 -
运行在以下环境
应用 avahi avahi 0.5 -
运行在以下环境
应用 avahi avahi 0.5.1 -
运行在以下环境
应用 avahi avahi 0.5.2 -
运行在以下环境
应用 avahi avahi 0.6.1 -
运行在以下环境
应用 avahi avahi 0.6.10 -
运行在以下环境
应用 avahi avahi 0.6.11 -
运行在以下环境
应用 avahi avahi 0.6.12 -
运行在以下环境
应用 avahi avahi 0.6.13 -
运行在以下环境
应用 avahi avahi 0.6.14 -
运行在以下环境
应用 avahi avahi 0.6.15 -
运行在以下环境
应用 avahi avahi 0.6.16 -
运行在以下环境
应用 avahi avahi 0.6.17 -
运行在以下环境
应用 avahi avahi 0.6.18 -
运行在以下环境
应用 avahi avahi 0.6.19 -
运行在以下环境
应用 avahi avahi 0.6.2 -
运行在以下环境
应用 avahi avahi 0.6.20 -
运行在以下环境
应用 avahi avahi 0.6.21 -
运行在以下环境
应用 avahi avahi 0.6.22 -
运行在以下环境
应用 avahi avahi 0.6.23 -
运行在以下环境
应用 avahi avahi 0.6.24 -
运行在以下环境
应用 avahi avahi 0.6.25 -
运行在以下环境
应用 avahi avahi 0.6.26 -
运行在以下环境
应用 avahi avahi 0.6.27 -
运行在以下环境
应用 avahi avahi 0.6.3 -
运行在以下环境
应用 avahi avahi 0.6.4 -
运行在以下环境
应用 avahi avahi 0.6.5 -
运行在以下环境
应用 avahi avahi 0.6.6 -
运行在以下环境
应用 avahi avahi 0.6.7 -
运行在以下环境
应用 avahi avahi 0.6.8 -
运行在以下环境
应用 avahi avahi 0.6.9 -
运行在以下环境
系统 centos_5 avahi * Up to
(excluding)
0.6.16-10.el5_6
运行在以下环境
系统 debian_5.0 avahi * Up to
(excluding)
0.6.23-3lenny3
运行在以下环境
系统 debian_6 avahi * Up to
(excluding)
0.6.27-2+squeeze1
运行在以下环境
系统 oracle_5 avahi * Up to
(excluding)
0.6.16-10.el5_6
运行在以下环境
系统 oracle_6 avahi * Up to
(excluding)
0.6.25-11.el6
阿里云评分
3.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-399 资源管理错误
阿里云安全产品覆盖情况